Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class SshKeyPair

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshKeyPair

Direct Known Subclasses:
  SshDssKeyPair, SshRsaKeyPair

public abstract class SshKeyPair
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SshKeyPair()` Creates a new SshKeyPair object.

Method Summary
`abstract SshPrivateKey` | `decodePrivateKey(byte[] encoded)` DOCUMENT ME!
`abstract SshPublicKey` | `decodePublicKey(byte[] encoded)` DOCUMENT ME!
`abstract void` | `generate(int bits)` DOCUMENT ME!
`SshPrivateKey` | `getPrivateKey()` DOCUMENT ME!
`SshPublicKey` | `getPublicKey()` DOCUMENT ME!
`SshPrivateKey` | `setPrivateKey(byte[] encoded)` DOCUMENT ME!
`void` | `setPrivateKey(SshPrivateKey key)` DOCUMENT ME!
`SshPublicKey` | `setPublicKey(byte[] encoded)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshKeyPair

    public SshKeyPair()

  Creates a new SshKeyPair object.

Method Detail

### generate

    public abstract void generate(int bits)

  DOCUMENT ME!

  Parameters:
    `bits` - DOCUMENT ME!

### setPrivateKey

    public void setPrivateKey(SshPrivateKey key)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!

### setPrivateKey

    public SshPrivateKey setPrivateKey(byte[] encoded)
                                throws InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### getPrivateKey

    public SshPrivateKey getPrivateKey()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPublicKey

    public SshPublicKey setPublicKey(byte[] encoded)
                              throws InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### getPublicKey

    public SshPublicKey getPublicKey()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### decodePrivateKey

    public abstract SshPrivateKey decodePrivateKey(byte[] encoded)
                                            throws InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### decodePublicKey

    public abstract SshPublicKey decodePublicKey(byte[] encoded)
                                          throws InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD